promptMethods {methods} | R Documentation

## Generate a Shell for Documentation of Formal Methods

### Description

Generates a shell of documentation for the methods of a generic function.

### Usage

    promptMethods(f, filename, addTo = FALSE, inherited=FALSE, type = "methods")

### Arguments

`f` | The name of the generic function whose methods are to be documented.
`filename` | Optional file on which to write the documentation shell. If `FALSE`, the text is returned, presumably to be used in the documentation of the generic function itself (see `prompt`). By default, this is the same as the coded topic name for these methods (currently `"NAME-methods.Rd"`, where `NAME` is the function name, argument `f`).
`addTo` | Optionally, text to add to the shell. This would typically be part of the contents of the documentation file for the generic function, if you want the generic and the methods documented together.
`inherited` | Should inherited methods be included? Default `FALSE`.
`type` | The documentation type to be declared in the output file.

### Value

If `filename` is `FALSE`, the text generated; otherwise, the name of the file written.

### Author(s)

John Chambers

### References

The web page http://www.omegahat.org/RSMethods/index.html is the primary documentation.

The functions in this package emulate the facility for classes and methods described in Programming with Data (John M. Chambers, Springer, 1998). See this book for further details and examples.

### See Also

`prompt` and `promptClass`

[Package Contents]